Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHttp.Error

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHttp.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHttp

    public static final class QHttp.Error

extends java.lang.Enum
implements QtEnumerator

This enum specifies different error cases

See Also:
  Serialized Form

Field Summary
`static QHttp.Error` | `Aborted`
`static QHttp.Error` | `AuthenticationRequiredError`
`static QHttp.Error` | `ConnectionRefused`
`static QHttp.Error` | `HostNotFound`
`static QHttp.Error` | `InvalidResponseHeader`
`static QHttp.Error` | `NoError` No error has occurred.
`static QHttp.Error` | `ProxyAuthenticationRequiredError`
`static QHttp.Error` | `UnexpectedClose`
`static QHttp.Error` | `UnknownError`
`static QHttp.Error` | `WrongContentLength`

Method Summary
`static QHttp.Error` | `resolve(int value)` Returns the Error constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.Error` | `valueOf(java.lang.String name)`
`static QHttp.Error[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QHttp.Error NoError

  No error has occurred.

### UnknownError

    public static final QHttp.Error UnknownError

### HostNotFound

    public static final QHttp.Error HostNotFound

### ConnectionRefused

    public static final QHttp.Error ConnectionRefused

### UnexpectedClose

    public static final QHttp.Error UnexpectedClose

### InvalidResponseHeader

    public static final QHttp.Error InvalidResponseHeader

### WrongContentLength

    public static final QHttp.Error WrongContentLength

### Aborted

    public static final QHttp.Error Aborted

### AuthenticationRequiredError

    public static final QHttp.Error AuthenticationRequiredError

### ProxyAuthenticationRequiredError

    public static final QHttp.Error ProxyAuthenticationRequiredError

Method Detail

### values

    public static QHttp.Error[] values()

### valueOf

    public static QHttp.Error valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.Error resolve(int value)

  Returns the Error constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD